/*////////////////////////////////////////////////////////////////////////
//																		//
//  TITLE: p2p_parameters.h - P2P parameters of each node				//
//																		//
//																		//
//  FUNCTION: defines all node's parameters								//
//																		//
//																		//
//  AUTHOR: Rodolfo Oliveira - June 2004								//
//	    rado@uninova.pt													//
//	Modified by: Miguel Luís - September 2009							//
//		nml17338@fct.unl.pt												//
//																		//
//  New University of Lisbon / FCT - All rights reserved				//
//																		//
////////////////////////////////////////////////////////////////////////*/
#ifndef p2p_parameters_h
#define p2p_parameters_h

// its all included from P2P
#include <random.h>

#define BEACON_TIMEOUT               2.50  	// A link is considered broken when 2.5 TICKs are missing
#define BEACON_AT_INTERVAL	         0.95  	// Send BEACON message every second
#define BEACON_STABILITY_THRESHOLD   50  	// A link is considered stable after 50 TICKs

#define MAJORANTE_JITTER 0.1
#define BEACON_P2P_JITTER (MAJORANTE_JITTER * Random::uniform()) // Jitter sending beacon

#define P2P_PORT 333

#endif //p2p_parameters_h
